##
##  consul-crypt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_consul_crypt_base 0.0.2
%define       V_consul_crypt_snap 20200125

#   package information
Name:         consul-crypt
Summary:      Store Data Encrypted in Consul
URL:          https://github.com/xordataexchange/crypt
Vendor:       XOR Data Exchange, Inc.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      Apache
Version:      %{V_consul_crypt_base}.%{V_consul_crypt_snap}
Release:      20200125

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/consul/consul-crypt-%{V_consul_crypt_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101, consul

%description
    This is a companion utility to Consul, a service discovery and
    configuration service. It allows to store data encrypted in Consul.

%track
    prog consul-crypt:release = {
        version   = %{V_consul_crypt_base}
        url       = https://github.com/xordataexchange/crypt/releases
        regex     = v(__VER__)\.tar\.gz
    }
    prog consul-crypt:snapshot = {
        version   = %{V_consul_crypt_snap}
        url       = http://download.openpkg.org/components/versioned/consul/
        regex     = consul-crypt-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n consul-crypt

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/xordataexchange/crypt
    go build -v -o consul-crypt bin/crypt/*.go

%install
    #   create directory hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/xordataexchange/crypt/consul-crypt \
        $RPM_BUILD_ROOT%{l_prefix}/bin/consul-crypt

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

